> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Linked Account With ID

> Fetch details of a Linked Account using the Razorpay API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to fetch details of a Linked Account using the unique identifier.

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_SECRET]
  -X GET 'https://api.razorpay.com/v2/accounts/acc_GLGeLkU2JUeyDZ' \
  ```

  ```bash CLI theme={null}
  razorpay route accounts fetch acc_IEIkSOM5VJb2Lm
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
     "id":"acc_GLGeLkU2JUeyDZ",
     "type":"route",
     "reference_id":"123123",
     "status":"created",
     "email":"gaurav.kumar@example.org",
     "profile":{
        "category":"healthcare",
        "subcategory":"clinic",
        "addresses":{
           "registered":{
              "street1":"507, Koramangala 1st block",
              "street2":"MG Road",
              "city":"Bengaluru",
              "state":"KARNATAKA",
              "postal_code":560034,
              "country":"IN"
           },
           "operation":{
              "street1":"507, Koramangala 6th block",
              "street2":"Kormanagala",
              "city":"Bengaluru",
              "state":"KARNATAKA",
              "country":"IN",
           }
        },
        "business_model":null
     },
     "notes":[

     ],
     "created_at":1611136837,
     "phone":"9999999998",
     "business_type":"partnership",
     "legal_business_name":"Acme Corp",
     "customer_facing_business_name":"Acme Corp",
     "legal_info":{
        "pan":"AAACL1234C",
        "gst":"18AABCU9603R1ZM"
     },
     "apps":{
        "websites":[

        ],
        "android":[
           {
              "url":null,
              "name":null
           }
        ],
        "ios":[
           {
              "url":null,
              "name":null
           }
        ]
     },
     "brand":{
        "color":null
     },
     "contact_name":"Gaurav Kumar",
     "contact_info":{
        "chargeback":{
           "email":null,
           "phone":null,
           "policy_url":null
        },
        "refund":{
           "email":null,
           "phone":null,
           "policy_url":null
        },
        "support":{
           "email":null,
           "phone":null,
           "policy_url":null
        }
     }
  }
  ```

  ```json Failure theme={null}
  {
     "error":{
        "code":"BAD_REQUEST_ERROR",
        "description":"Linked account does not exist",
        "source":"",
        "step":"",
        "reason":"linked_account_id_does_not_exist",
        "metadata":{

        }
     }
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="account_id" type="string">
  The unique identifier of the Linked Account. For example, `acc_GLGeLkU2JUeyDZ`.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of the account generated by Razorpay. The maximum length is 18 characters. For example, `acc_GLGeLkU2JUeyDZ`.
</ResponseField>

<ResponseField name="type" type="string">
  The account type. Possible value is `route`.
</ResponseField>

<ResponseField name="reference_id" type="string">
  The internal reference id. This value can be maximum of 20 characters. For example, `123123`.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the account. Possible values:

  * `created`
  * `suspended`
</ResponseField>

<ResponseField name="email" type="string">
  The account holder's email address.
</ResponseField>

<ResponseField name="phone" type="integer">
  The account holder's phone number. The minimum length is 8 characters and the maximum length is 15.
</ResponseField>

<ResponseField name="legal_business_name" type="string">
  The name of the account holder's business. For example, `Acme Corp`. The minimum length is 4 characters and the maximum length is 200.
</ResponseField>

<ResponseField name="business_type" type="string">
  The type of business operated by the account holder. Possible values: [Business Types](/docs/api/payments/route).
</ResponseField>

<ResponseField name="profile" type="object">
  The account holder's business details.
</ResponseField>

<ResponseField name="category" type="string">
  The business category of the account holder. For example, `healthcare`. Possible values: [Business Category](/docs/api/payments/route#business-category).
</ResponseField>

<ResponseField name="subcategory" type="string">
  The business sub-category of the account holder. For example, `clinic`. Possible values: [Business Sub-Category](/docs/api/payments/route#business-sub-category).
</ResponseField>

<ResponseField name="addresses" type="object">
  Details of account holder's address.
</ResponseField>

<ResponseField name="registered" type="object">
  Details of the account holder's registered address.
</ResponseField>

<ResponseField name="street1" type="string">
  Address, line 1. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="street2" type="string">
  Address, line 2. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="city" type="string">
  The city. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="state" type="string">
  The state. The minimum length is 2 and the maximum length is 100.
</ResponseField>

<ResponseField name="postal_code" type="integer">
  The postal code. This should be exactly 6 characters.
</ResponseField>

<ResponseField name="country" type="string">
  The country. The minimum length is 2 and the maximum length is 64. For example, for India, you must write either `IN` or `india`.
</ResponseField>

<ResponseField name="operation" type="object">
  Details of the account holder's operational address. This parameter might be required to complete the KYC process. However, it is optional for this API.
</ResponseField>

<ResponseField name="street1" type="string">
  Address, line 1. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="street2" type="string">
  Address, line 2. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="city" type="string">
  The city. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="state" type="string">
  The state. The minimum length is 2 and the maximum length is 100.
</ResponseField>

<ResponseField name="postal_code" type="integer">
  The postal code. This should be exactly 6 characters.
</ResponseField>

<ResponseField name="country" type="string">
  The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`.
</ResponseField>

<ResponseField name="business_model" type="string">
  The business description. The minimum length is 1 character and the maximum length is 255.
</ResponseField>

<ResponseField name="legal_info" type="object">
  The legal details about the account holder's business. The mandatory [KYC requirement](/docs/api/payments/route) parameters should be passed depending on the business requirements.
</ResponseField>

<ResponseField name="pan" type="string">
  Valid PAN number details of the account holder's business.

  * This is a 10-digit alphanumeric code. For example, `AVOJB1111K`.
  * The 4th digit should be either of 'C', 'H', 'F', 'A', 'T', 'B', 'J', 'G', 'L'.
  * The regex for Company PAN is `/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/`. This parameter might be required to complete the KYC process. However, it is optional for this API.
</ResponseField>

<ResponseField name="gst" type="string">
  Valid GSTIN number details of the account holder.

  * This is a 15-digit PAN-based unique identification number.
  * The Regex for GSTIN is `/^[0123][0-9][a-z]{5}[0-9]{4}[a-z][0-9][a-z0-9][a-z0-9]$/gi`.
</ResponseField>

<ResponseField name="notes" type="object">
  Contains user-defined fields stored by the partner for reference purposes.
</ResponseField>

<ResponseField name="contact_name" type="string">
  The name of the contact. The minimum length is 4 and the maximum length is 255 characters.
</ResponseField>

<ResponseField name="contact_info" type="object">
  Options available for contact support.
</ResponseField>

<ResponseField name="chargeback" type="object">
  The type of contact support.
</ResponseField>

<ResponseField name="email" type="string">
  The email id of chargeback POC. The maximum length is:

  * local part (before @): 64 characters.
  * domain part (after @): 68 characters. <br /> The total character length supported is 132.
</ResponseField>

<ResponseField name="phone" type="integer">
  The phone number of chargeback POC. The maximum length is 10 characters.
</ResponseField>

<ResponseField name="policy_url" type="string">
  The URL of chargeback policy. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid)<br /> protocol-both http/https allowed. Only domain name is mandatory.
</ResponseField>

<ResponseField name="refund" type="object">
  The type of contact support.
</ResponseField>

<ResponseField name="email" type="string">
  The email id of refund POC. The maximum length is:

  * local part (before @): 64 characters.
  * domain part (after @): 68 characters. <br /> The total character length supported is 132.
</ResponseField>

<ResponseField name="phone" type="integer">
  The phone number of refund POC. The maximum length is 10 characters.
</ResponseField>

<ResponseField name="policy_url" type="string">
  The URL of refund policy. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ResponseField>

<ResponseField name="support" type="array">
  The type of contact support.
</ResponseField>

<ResponseField name="email" type="string">
  The email id of support POC. The maximum length is:

  * local part (before @): 64 characters.
  * domain part (after @): 68 characters. <br /> The total character length supported is 132.
</ResponseField>

<ResponseField name="phone" type="integer">
  The phone number of support POC. The maximum length is 10 characters.
</ResponseField>

<ResponseField name="policy_url" type="string">
  The URL of support policy. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ResponseField>

<ResponseField name="apps" type="object">
  The app details of the account holder's business
</ResponseField>

<ResponseField name="websites" type="array">
  The website/app for the account holder's business. A minimum of 1 website is required.
</ResponseField>

<ResponseField name="android" type="array">
  Android app details
</ResponseField>

<ResponseField name="url" type="string">
  The link of the Android app. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ResponseField>

<ResponseField name="name" type="string">
  The name of the Android app.
</ResponseField>

<ResponseField name="ios" type="array">
  iOS app details
</ResponseField>

<ResponseField name="url" type="string">
  The link of the iOS app. Regex is (protocol://`razorpay.com`:port/resource path?querystring#fragementid) <br /> protocol-both http/https allowed.
</ResponseField>

<ResponseField name="name" type="string">
  The name of the iOS app.
</ResponseField>

## Errors

<AccordionGroup>
  <Accordion title="The id provided does not exist">
    **Code:** `400`

    This error occurs when the Linked Account does not belong to the requested merchant, or it is invalid.

    **Solution:** Ensure the Linked Account belongs to the requested merchant and the account ID is valid.
  </Accordion>

  <Accordion title="Linked account does not exist.">
    **Code:** `400`

    This error occurs when the requester is not the parent of the child account, or the child account does not exist.

    **Solution:** Ensure the Linked Account id exists before proceeding with the update API.
  </Accordion>
</AccordionGroup>
